def exportErrors(baseName) :
    """ For current analyzed match, export all moves/cube decisions marked
    doubtful or bad or very bad"""
    # Get current match
    m = gnubg.match()
    # Go to match start
    gnubg.navigate()
    # Exported position number, used in file name
    poscount = 0
    for game in m["games"] :
        for action in game["game"] :
            analysis = action.get("analysis",None)
            if analysis :
                type     = action["action"]
                bad      = skillBad(analysis.get("skill",None))
                cube_bad = skillBad(analysis.get("cube-skill",None))
                if bad or cube_bad :
                    if (type == "double" or type == "drop" or type =="take") :
                        error_type = "cube"
                    elif type == "resign" :
                        error_type = "resign"
                    elif type == "move" :
                        if bad and cube_bad :
                            error_type = "chequer-and-cube"
                        elif bad :
                            error_type = "chequer"
                        elif cube_bad :
                            error_type = "cube"
                    else :
                        error_type = "unknown"
                    export_file = "%s__%d__%s.txt" % (os.path.splitext(baseName)[0],poscount,error_type)
                    gnubg.command("export position text " + "\"" + export_file + "\"")
                    poscount += 1
            # Advance to next record
            gnubg.navigate(1)
        # Advance to next game
        gnubg.navigate(game=1)
